[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValues

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: propertystorage.pas line 73

`type TStoredValues = class(TOwnedCollection)`
`public`
`constructor Create();` |  |
`function IndexOf();` |  |
`procedure SaveValues; virtual;` |  |
`procedure RestoreValues; virtual;` |  |
`property Storage: TCustomPropertyStorage; [rw]` |  |
`property Items: TStoredValue; default; [rw]` |  |
`property Values: TStoredValue; [rw]` |  |
`property StoredValue: TStoredType; [rw]` |  |
`end;`

## Inheritance

`TStoredValues` |  |
`TOwnedCollection`
`TCollection`
`TPersistent`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.